package com.iqser.red.service.persistence.management.v1.processor.exception;

public class ConflictException extends RuntimeException {

    public ConflictException(String message) {

        super(message);
    }


    public ConflictException(String message, Throwable t) {

        super(message, t);
    }


    public static ConflictException withObjectName(String objectName) {

        return new ConflictException(String.format("An object of type %s already exists.", objectName));

    }

}
